import { PipeTransform } from '@angular/core';
/**
 * Transforms values in seconds in readable format
 *
 * Days is the max displayed period. If more than 2
 * period types are available, just two are displayed
 *
 * For example if hours, minutes and seconds are available,
 * seconds are omitted
 *
 * Check test cases for more details
 *
 */
export declare class ReadableTimePipe implements PipeTransform {
    transform(value: number): string;
}
